org.eclipse.wst.jsdt.chromium.debug.core.util

## Class ProgressUtil.MonitorWrapper

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.util.ProgressUtil.MonitorWrapper

Enclosing class:
  ProgressUtil

    public static class ProgressUtil.MonitorWrapper
    extends java.lang.Object

A small wrapper around the `IProgressMonitor` that keeps a default label -- the string to show when a current stage has no label of its own.

### Constructor Summary

Constructors
Constructor and Description
`MonitorWrapper(IProgressMonitor progressMonitor, java.lang.String defaultLabel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `beginTask()`
`void` `clearTaskName()`
`IProgressMonitor` `createSubMonitor(int steps)`
`ProgressUtil.MonitorWrapper` `createSubMonitorWrapper(java.lang.String label, int steps)`
`void` `done()`
`boolean` `isCanceled()`
`void` `setTaskName(java.lang.String name)`
`void` `worked(int work)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MonitorWrapper

    public MonitorWrapper(IProgressMonitor progressMonitor,
                          java.lang.String defaultLabel)

### Method Detail

#### beginTask

    public void beginTask()

#### setTaskName

    public void setTaskName(java.lang.String name)

#### clearTaskName

    public void clearTaskName()

#### worked

    public void worked(int work)

#### createSubMonitorWrapper

    public ProgressUtil.MonitorWrapper createSubMonitorWrapper(java.lang.String label,
                                                               int steps)

#### createSubMonitor

    public IProgressMonitor createSubMonitor(int steps)

#### done

    public void done()

#### isCanceled

    public boolean isCanceled()